Moderation

Automatic Tags

Automatic tags set on objects (like comments or videos) by specific rules (external link, watched words, etc.)

Get account auto tag policies on comments

GET
https://peertube2.cpy.re/api/v1/automatic-tags/policies/accounts/{accountName}/comments

PeerTube >= 6.2

Parameters

accountNamestringrequiredpath

account name to get auto tag policies

Response

successful operation

Response fields application/json
reviewArray<string>

Auto tags that automatically set the comment in review state

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Update account auto tag policies on comments

PUT
https://peertube2.cpy.re/api/v1/automatic-tags/policies/accounts/{accountName}/comments

PeerTube >= 6.2

Body

application/json
reviewArray<string>

Auto tags that automatically set the comment in review state

Parameters

accountNamestringrequiredpath

account name to update auto tag policies

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get account available auto tags

GET
https://peertube2.cpy.re/api/v1/automatic-tags/accounts/{accountName}/available

PeerTube >= 6.2

Parameters

accountNamestringrequiredpath

account name to get auto tag policies

Response

successful operation

Response fields application/json
availableArray<object>

Available auto tags that can be used to filter objects or set a comment in review state

Show child attributes
namestring

tag name

typestringcorewatched-words-list

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get server available auto tags

GET
https://peertube2.cpy.re/api/v1/automatic-tags/server/available

PeerTube >= 6.2

Response

successful operation

Response fields application/json
availableArray<object>

Available auto tags that can be used to filter objects or set a comment in review state

Show child attributes
namestring

tag name

typestringcorewatched-words-list

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Get server auto tag policies for videos

GET
https://peertube2.cpy.re/api/v1/automatic-tags/policies/server/videos

PeerTube >= 8.3

Response

successful operation

Response fields application/json
autoBlockArray<string>

Auto tags that will automatically block videos matching these tags

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Update server auto tag policies for videos

PUT
https://peertube2.cpy.re/api/v1/automatic-tags/policies/server/videos

PeerTube >= 8.3

Body

application/json
autoBlockArray<string>

Auto tags that will automatically block videos matching these tags

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator